Name: sweets-locales
Version: 0.5
Release: 2.1
Group: Development/System
Summary: Extra locales and locale-gen utility
License: LGPLv2+
Url: http://wiki.sugarlabs.org/go/Sweets_Distribution

Source: %{name}-%{version}.tar.gz
BuildRequires: python

BuildArch: noarch

%define babeldir %(python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()')/babel/localedata

%description
Locales that not yet upstreamed and locale-gen utility to re-generate locale-archive file.

%prep
%setup -q

%build

%install
install -m 0755 -D locale-gen %{buildroot}/%{_bindir}/locale-gen
install -m 0644 -D i18n/locales/ayc_PE %{buildroot}/%{_datadir}/i18n/locales/ayc_PE
install -m 0644 -D i18n/locales/agr_PE %{buildroot}/%{_datadir}/i18n/locales/agr_PE
install -m 0644 -D i18n/locales/quz_PE %{buildroot}/%{_datadir}/i18n/locales/quz_PE
install -m 0644 -D babel/localedata/ayc.dat %{buildroot}/%{babeldir}/ayc.dat
install -m 0644 -D babel/localedata/agr.dat %{buildroot}/%{babeldir}/agr.dat
install -m 0644 -D babel/localedata/quz.dat %{buildroot}/%{babeldir}/quz.dat

%post
locale-gen

%files
%defattr(-,root,root,-)
%{_bindir}/locale-gen
%{_datadir}/i18n/locales/ayc_PE
%{_datadir}/i18n/locales/agr_PE
%{_datadir}/i18n/locales/quz_PE
%{babeldir}/ayc.dat
%{babeldir}/agr.dat
%{babeldir}/quz.dat

%changelog
